List Report Versions
curl --request GET \
--url https://api.ontora.com/v1/interviews/{interview_id}/report/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/report/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/report/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"conversation_count_at_generation": 123,
"created_at": "2023-11-07T05:31:56Z",
"coverage_snapshot": {},
"agent_run_id": "<string>",
"report_artifacts": {},
"solutions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"horizon": "<string>",
"quick_win": true,
"structural": true,
"est_savings_eur": 123,
"est_hours_saved_per_week": 123,
"affected_processes": [
"<string>"
],
"departments": [
"<string>"
],
"contributors": [
"<string>"
],
"evidence_quotes": [
{}
],
"implementation_notes": "<string>",
"sort_order": 123
}
],
"error_message": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}campaign-reports
List Report Versions
List all report versions for this campaign, newest first.
GET
/
v1
/
interviews
/
{interview_id}
/
report
/
versions
List Report Versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
What caused a campaign report version to be generated.
Available options:
threshold_reached, incremental_update, manual_regenerate Available options:
in_progress, ready, failed Show child attributes
Show child attributes
Was this page helpful?
⌘I